From e78ba6e05c1ca6dda8f003328f051c6726923c8a Mon Sep 17 00:00:00 2001
From: Nicolas Boulenguez <nicolas@debian.org>
Date: Wed, 10 Apr 2024 00:14:27 +0200
Subject: [PATCH 04/10] scripts/t/mk: test exported variables in addition to
 Make variables

---
 scripts/t/mk/architecture.mk | 3 +++
 scripts/t/mk/buildflags.mk   | 5 +++++
 scripts/t/mk/buildtools.mk   | 5 +++++
 3 files changed, 13 insertions(+)

diff --git a/scripts/t/mk/architecture.mk b/scripts/t/mk/architecture.mk
index b181d3426..538f80b48 100644
--- a/scripts/t/mk/architecture.mk
+++ b/scripts/t/mk/architecture.mk
@@ -19,4 +19,7 @@ loop_targets := $(foreach machine,BUILD HOST TARGET,$(foreach var,$(vars),\
 test: $(loop_targets)
 
 $(loop_targets):
+  # Test the Make variable.
 	test '$($@)' = '$(TEST_$@)'
+  # Test the exported variable.
+	test "$${$@}" = '$(TEST_$@)'
diff --git a/scripts/t/mk/buildflags.mk b/scripts/t/mk/buildflags.mk
index 042ba816f..b43a7dbcf 100644
--- a/scripts/t/mk/buildflags.mk
+++ b/scripts/t/mk/buildflags.mk
@@ -4,6 +4,8 @@ TEST_CPPFLAGS            += -DTEST_MK=test-host
 DEB_CPPFLAGS_FOR_BUILD_MAINT_APPEND = -DTEST_MK=test-build
 TEST_CPPFLAGS_FOR_BUILD            += -DTEST_MK=test-build
 
+DPKG_EXPORT_BUILDFLAGS := 1
+
 include $(srcdir)/mk/buildflags.mk
 
 vars := \
@@ -23,4 +25,7 @@ loop_targets := $(vars) $(vars:=_FOR_BUILD)
 test: $(loop_targets)
 
 $(loop_targets):
+  # Test the Make variable.
 	test '$($@)' = '$(TEST_$@)'
+  # Test the exported variable.
+	test "$${$@}" = '$(TEST_$@)'
diff --git a/scripts/t/mk/buildtools.mk b/scripts/t/mk/buildtools.mk
index 2b935ebb1..de2b52b59 100644
--- a/scripts/t/mk/buildtools.mk
+++ b/scripts/t/mk/buildtools.mk
@@ -1,3 +1,5 @@
+DPKG_EXPORT_BUILDTOOLS := 1
+
 include $(srcdir)/mk/buildtools.mk
 
 tools := \
@@ -22,4 +24,7 @@ loop_targets := $(tools) $(tools:=_FOR_BUILD)
 test: $(loop_targets)
 
 $(loop_targets):
+  # Test the Make variable.
 	test '$($@)' = '$(TEST_$@)'
+  # Test the exported variable.
+	test "$${$@}" = '$(TEST_$@)'
-- 
2.39.2

